
#include <oslib/oslib.h>


PSP_MODULE_INFO("Devslib Sample", 0, 1, 1);
PSP_MAIN_THREAD_ATTR(THREAD_ATTR_USER | THREAD_ATTR_VFPU);

//variable
OSL_FONT *maFonte, *maFonte2;


extern void menu();
extern void Game();
extern int Menu;
extern int Jeux;


void InitGame()
{

	//maFonte = oslLoadFontFile("media/M10_BATTLE-24.oft"); //chargement de ma police perso
	maFonte = oslLoadFontFile("media/Intergalaktika-24.oft"); //chargement de ma police perso
	maFonte2 = oslLoadFontFile("media/M10_BATTLE-32.oft"); //chargement de ma police perso


}


int main(int argc, char* argv[])
{

	//Initialisation
	oslInit(0);							//la lib
	oslInitGfx(OSL_PF_8888, 1);			//Gfx
	oslInitAudio();						//Sound

	//intro de Devslib
	oslShowSplashScreen(2);

	//initialisation du jeux
	InitGame();

	while (!osl_quit)
	{
		//Gestion et Affichage du Menu
		menu();
		//gestion et affichage du jeux
		Game();

		//on remet tout a 0
		Jeux = 1;
		Menu = 1;


	}
		
	oslEndGfx();
	oslQuit();
	return 0;
}



